## strigi 0.7.2

=== src/archiveengine/CMakeLists.txt ===
include(${QT_USE_FILE})

include_directories(
    ../streams
    ${strigi_BINARY_DIR}/src/streams
	${BZIP2_INCLUDE_DIR}
	${QT_INCLUDE_DIR}
)

add_library(archiveengine STATIC
        archivedirengine.cpp
	archiveengine.cpp
	archiveenginehandler.cpp
	fsfileinputstream.cpp
	streamengine.cpp
)

target_link_libraries(archiveengine ${QT_QTCORE_LIBRARY} streams)

=== src/dummyindexer/CMakeLists.txt ===
if(NOT HAVE_REGEX_H)
  set(REGEX_INCLUDE_DIR ${strigi_SOURCE_DIR}/src/streams/strigi/regex)
  set(REGEX_SOURCES ${REGEX_INCLUDE_DIR}/regex.c)
  # TODO: install copyright file !
endif(NOT HAVE_REGEX_H)

include_directories(
  ../streamanalyzer
  ../streams
  ${REGEX_INCLUDE_DIR}
  ${strigi_BINARY_DIR}/src/streams
)

add_executable(dummyindexer dummyindexer.cpp)
target_link_libraries(dummyindexer streamanalyzer)

if(BUILD_DEEPTOOLS)
  add_executable(deepfind deepfind.cpp)
  target_link_libraries(deepfind streamanalyzer)
  install(TARGETS deepfind RUNTIME DESTINATION bin)
endif (BUILD_DEEPTOOLS)

add_library(grepindexer STATIC grepindexreader.cpp grepindexmanager.cpp
    grepindexwriter.cpp ${REGEX_SOURCES})

if(BUILD_DEEPTOOLS)
  add_executable(deepgrep deepgrep.cpp)
  target_link_libraries(deepgrep grepindexer streamanalyzer ${REGEX_LIBRARIES})
  install(TARGETS deepgrep RUNTIME DESTINATION bin)
endif (BUILD_DEEPTOOLS)

add_executable(greptest grepindexreader.cpp)
target_link_libraries(greptest streamanalyzer)

if(NOT MSVC)
  add_executable(analyzerlatencytester analyzerlatencytester.cpp)
  target_link_libraries(analyzerlatencytester streamanalyzer)
endif(NOT MSVC)

add_library(grepindex STATIC grepindexmanager.cpp)

=== src/daemon/dbus/CMakeLists.txt ===
subdirs(dbuscpp)
include_directories(.. dbuscpp ${CMAKE_CURRENT_BINARY_DIR})

IF (ENABLE_LOG4CXX AND LOG4CXX_FOUND)
    add_definitions(-DHAVE_LOG4CXX)
    set(test_LIBS ${LOG4CXX_LIBRARIES})
    include_directories( ${LOG4CXX_INCLUDE_DIR} )
ENDIF (ENABLE_LOG4CXX AND LOG4CXX_FOUND)

# if available, use Perl for generating the dbus interfaces.
# otherwise, just copy them into the build directory
find_package(Perl)

MACRO(CreateDBusBinding HEADERFILE INAME INTERFACE EXTRAINCLUDE)
    IF (PERL_FOUND)
        add_custom_command(
            OUTPUT  "${CMAKE_CURRENT_BINARY_DIR}/dbus${INAME}.h"
                    "${CMAKE_CURRENT_BINARY_DIR}/dbus${INAME}.cpp"
            COMMAND ${PERL_EXECUTABLE}
            ARGS    "${strigi_SOURCE_DIR}/src/daemon/dbus/dbuscpp/makecode.pl"
                    ${INTERFACE} 
                    ${HEADERFILE}
                    ${EXTRAINCLUDE}
            MAIN_DEPENDENCY ${HEADERFILE}
            WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
        )
        add_custom_command(
            OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/dbus${INAME}.h"
            COMMAND ${CMAKE_COMMAND} -E copy_if_different
                "${CMAKE_CURRENT_BINARY_DIR}/dbus${INAME}.h"
                "${CMAKE_CURRENT_SOURCE_DIR}/generated/dbus${INAME}.h"
        )
        add_custom_command(
            OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/dbus${INAME}.cpp"
            COMMAND ${CMAKE_COMMAND} -E copy_if_different
                "${CMAKE_CURRENT_BINARY_DIR}/dbus${INAME}.cpp"
                "${CMAKE_CURRENT_SOURCE_DIR}/generated/dbus${INAME}.cpp"
        )
    ELSE (PERL_FOUND)
        add_custom_command(
            OUTPUT  "${CMAKE_CURRENT_BINARY_DIR}/dbus${INAME}.h"
                    "${CMAKE_CURRENT_BINARY_DIR}/dbus${INAME}.cpp"
            COMMAND ${CMAKE_COMMAND}
            ARGS    -E copy_if_different
                    "${CMAKE_CURRENT_SOURCE_DIR}/generated/dbus${INAME}.h"
                    "${CMAKE_CURRENT_BINARY_DIR}/dbus${INAME}.h"
            COMMAND ${CMAKE_COMMAND}
            ARGS    -E copy_if_different
                    "${CMAKE_CURRENT_SOURCE_DIR}/generated/dbus${INAME}.cpp"
                    "${CMAKE_CURRENT_BINARY_DIR}/dbus${INAME}.cpp"
        )
    ENDIF (PERL_FOUND)
    set_source_files_properties("${CMAKE_CURRENT_BINARY_DIR}/dbus${INAME}.h"
        "${CMAKE_CURRENT_BINARY_DIR}/dbus${INAME}.cpp"
        PROPERTIES GENERATED true)
ENDMACRO(CreateDBusBinding)

CreateDBusBinding("${strigi_SOURCE_DIR}/src/daemon/clientinterface.h"
        "clientinterface" "vandenoever.strigi"
        "dbusserialization.h")
CreateDBusBinding("${strigi_SOURCE_DIR}/src/daemon/dbus/testinterface.h"
        "testinterface" "vandenoever.strigi" "")
CreateDBusBinding(
        "${strigi_SOURCE_DIR}/src/daemon/xesam/xesamlivesearchinterface.h"
        "xesamlivesearchinterface" "org.freedesktop.xesam.Search"
        "dbusserialization.h")

add_library(dbusserver STATIC testinterface.cpp dbusserver.cpp
    dbusserialization.cpp
    "${CMAKE_CURRENT_BINARY_DIR}/dbustestinterface.cpp"
    "${CMAKE_CURRENT_BINARY_DIR}/dbusxesamlivesearchinterface.cpp"
    "${CMAKE_CURRENT_BINARY_DIR}/dbusclientinterface.cpp"
)

SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${DBUS_CFLAGS}")
target_link_libraries(dbusserver dbuscpp)

add_executable(testserver testserver.cpp ../strigithread.cpp)
target_link_libraries(testserver dbusserver ${CMAKE_THREAD_LIBS_INIT} ${test_LIBS} streamanalyzer)

add_executable(dbustest dbustest.cpp)
target_link_libraries(dbustest ${DBUS_LDFLAGS} ${CMAKE_THREAD_LIBS_INIT} ${test_LIBS})

configure_file(vandenoever.strigi.service.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/vandenoever.strigi.service)
configure_file(org.freedesktop.xesam.searcher.service.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.xesam.searcher.service)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/vandenoever.strigi.service ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.xesam.searcher.service DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dbus-1/services )

=== src/searchclient/newclient/CMakeLists.txt ===
include_directories(../../streamanalyzer ../../htmlgui ../../streams ../../daemon
	qtdbus ${strigi_BINARY_DIR}/src/streams/strigi filterwidget)

include(${QT_USE_FILE})

# strigiclient
set(strigiclient_SRCS
	dlgfilters.cpp
	dlglistindexedfiles.cpp
	histogram.cpp
	searchtabs.cpp
	searchview.cpp
	simplesearchgui.cpp
	strigiclient.cpp
   histogram_impl.cpp
)
set(strigiclient_MOC_HDRS
	dlgfilters.h
	dlglistindexedfiles.h
	histogram.h
	searchtabs.h
	searchview.h
	simplesearchgui.h
   histogram_impl.h
)
set(strigiclient_UIS
   searchdialog.ui
   histogramwidget.ui
)

qt4_wrap_cpp(strigiclient_MOC_SRCS ${strigiclient_MOC_HDRS})
qt4_wrap_ui(strigiclient_UIS_H ${strigiclient_UIS})


add_executable(strigiclient 
   ${strigiclient_SRCS} 
   ${strigiclient_UIS_H}
   ${strigiclient_MOC_SRCS}
)

target_link_libraries(strigiclient strigiqtdbusclient strigihtmlgui filterwidget)

add_executable(cmdlinestrigi cmdlinestrigi.cpp)
target_link_libraries(cmdlinestrigi searchclient)

install(TARGETS strigiclient RUNTIME DESTINATION bin)

=== src/searchclient/qtdbus/CMakeLists.txt ===
include_directories(${QT_INCLUDE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/..
	qtdbus ${strigi_BINARY_DIR}/src/streams)

include(${QT_USE_FILE})

# strigiclient
set(strigiqtdbusclient_SRCS
	strigiasyncclient.cpp
	strigiclient.cpp
	strigidbus.cpp
	strigitypes.cpp
)
set(strigiqtdbusclient_MOC_HDRS
	strigiasyncclient.h
	strigidbus.h
)

qt4_wrap_cpp(strigiqtdbusclient_MOC_SRCS ${strigiqtdbusclient_MOC_HDRS})

add_library(strigiqtdbusclient SHARED ${strigiqtdbusclient_SRCS}
  ${strigiqtdbusclient_MOC_SRCS})

target_link_libraries(strigiqtdbusclient ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY})
set_target_properties(strigiqtdbusclient
                 PROPERTIES VERSION ${STRIGI_VERSION_STRING}
                 SOVERSION ${STRIGI_VERSION_MAJOR}
                 DEFINE_SYMBOL MAKE_STRIGI_QTDBUSCLIENT_LIB
)

install(TARGETS strigiqtdbusclient RUNTIME DESTINATION bin 
                                   LIBRARY DESTINATION ${LIB_DESTINATION} 
                                   ARCHIVE DESTINATION ${LIB_DESTINATION})
install(FILES strigiasyncclient.h strigiclient.h strigidbus.h strigitypes.h
  DESTINATION include/strigi/qtdbus)

add_executable(strigiqtdbustest strigiqtdbustest.cpp)
target_link_libraries(strigiqtdbustest strigiqtdbusclient)

set(strigiasynctest_SRCS strigiasynctest.cpp strigiasyncwidget.cpp)
set(strigiasynctest_MOC_HDRS strigiasyncwidget.h)
qt4_wrap_cpp(strigiasynctest_MOC_SRCS ${strigiasynctest_MOC_HDRS})
add_executable(strigiasynctest ${strigiasynctest_SRCS} ${strigiasynctest_MOC_SRCS})
target_link_libraries(strigiasynctest strigiqtdbusclient ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})

=== debian/changelog ===
strigi (0.7.2-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Tue, 20 Apr 2010 20:01:06 +0300

strigi (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format:
    - Remove quilt build dependency.
    - Remove debian/README.source file.
    - Remove quilt option to dh.
  * Add DEP-3 header to 01_remove_FindQt4.cmake_local_copy.diff patch.
  * Update debian/strigi-utils.install: add rdfindexer.

 -- Fathi Boudra <fabo@debian.org>  Thu, 07 Jan 2010 12:33:03 +0100

strigi (0.7.0-1) unstable; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Update debian/control:
    - drop cdbs build dependency.
    - bump debhelper and pkg-kde-tools build dependencies version.
    - bump Standards-Version from 3.8.1 to 3.8.3 (no changes needed).
    - update strigi-dbg section: debug.
  * Add debian/deskbar-plugins-strigi.install file.
  * Update debian/libstreamanalyzer0.install:
    - add new rdfs files.
  * Add debian/README.source file.
  * Convert debian/rules to dh usage.

  [ Sune Vuorela ]
  * Add libstreams-dev dependency to libstrigiqtdbusclient-dev.

 -- Fathi Boudra <fabo@debian.org>  Sun, 16 Aug 2009 19:39:42 +0200

strigi (0.6.5-1) unstable; urgency=low

  * New upstream release.
  * Bump compat/debehlper to 7.
  * Bump Standards-Version to 3.8.1. No changes needed.
  * Update libstreamanalyzer0 package: add homeless.rdfs.
  * Update libstreamanalyzer0 symbols file:
    - add AnalysisResult::child() and AnalysisResult::addTriplet()

 -- Fathi Boudra <fabo@debian.org>  Mon, 13 Apr 2009 21:11:06 +0200

strigi (0.6.4+svn931153-2) unstable; urgency=low

  * Update symbols files.

 -- Fathi Boudra <fabo@debian.org>  Sun, 08 Mar 2009 19:17:44 +0100

strigi (0.6.4+svn931153-1) unstable; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Add debug package.
  * Add Build-Depends-Package to symbols files.

  [ Modestas Vainius ]
  * Add symbols.in files for libstreamanalyzer and libstreams.
    Build depend on pkg-kde-tools 0.3.1 to get the symbolshelper.

  [Ana Beatriz Guerrero Lopez]
  * Update symbols for newer upstream release.

 -- Fathi Boudra <fabo@debian.org>  Tue, 13 Jan 2009 12:45:20 +0100

strigi (0.6.3-1) experimental; urgency=low

  * New upstream release.
  * Add symbols files for amd64 and i386 architectures.
  * Remove 03_fix_ftbfs_with_gcc_4.4_bug505624.diff patch. Merged upstream.

 -- Fathi Boudra <fabo@debian.org>  Tue, 13 Jan 2009 11:08:25 +0100

strigi (0.6.2-1) experimental; urgency=low

  * New upstream release.
  * Remove 02_strigi_branch_r872482.diff patch. Deprecated.
  * Update libstreamanalyzer0 package: add strigiea_jpeg plugin.
  * Fix lintian warning: debhelper-but-no-misc-depends.

 -- Fathi Boudra <fabo@debian.org>  Sat, 03 Jan 2009 18:10:23 +0100

strigi (0.5.11-2) unstable; urgency=low

  * Add 02_strigi_branch_r872482.diff patch:
    - install header indexpluginloader.h
  * Update debian/libstreamanalyzer-dev.install:
    - install header indexpluginloader.h
  * Add 03_fix_ftbfs_with_gcc_4.4_bug505624.diff patch:
    - Fix FTBFS with GCC 4.4 . Thanks to Martin Michlmayr. (Closes: #505624)

 -- Fathi Boudra <fabo@debian.org>  Sun, 16 Nov 2008 13:25:39 +0100

strigi (0.5.11-1) unstable; urgency=low

  * New upstream release.
  * Bump Standard-Version to 3.8.0.

 -- Fathi Boudra <fabo@debian.org>  Mon, 21 Jul 2008 21:37:17 +0200

strigi (0.5.10-1) unstable; urgency=low

  * New upstream release.
  * Remove FindQt4.cmake to use cmake provided file.
  * Cleanup rules: remove useless commented lines and g++ hack.

 -- Fathi Boudra <fabo@debian.org>  Wed, 04 Jun 2008 10:18:03 +0200

strigi (0.5.9-1) unstable; urgency=low

  * New upstream release.
  * Update FindQt4.cmake local copy.

 -- Fathi Boudra <fabo@debian.org>  Mon, 28 Apr 2008 22:01:19 +0200

strigi (0.5.8-2) experimental; urgency=low

  [Ana Beatriz Guerrero Lopez]

  * Build against Qt 4.4 in experimental:
    - Add versioned build depend for libqt4-dev on >= 4.4.0~.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Fri, 28 Mar 2008 12:54:14 +0100

strigi (0.5.8-1) unstable; urgency=low

  * New upstream release.
  * Remove branch pull patch.
  * Add Vcs-Browser and Vcs-Svn fields.
  * Add Replaces kdegraphics-strigi-plugins as ico analyzer can be found
    inside.

 -- Fathi Boudra <fabo@debian.org>  Wed, 20 Feb 2008 09:36:50 +0100

strigi (0.5.7-2) unstable; urgency=low

  * Update branch pull patch to r760102.
  * Remove our cmake.mk. Merged in CDBS package.
  * Clean up build dependencies.
  * Update my e-mail address.
  * Bump Standard-Version to 3.7.3.
  * Use Homepage field.
  * Update installed files.
  * Build with --no-undefined and --as-needed linker flags.
  * Remove libstreams-dev dependency on libstdc++-dev. (Closes: #454995)
  * Add strict versioned shlibs. (Closes: #460296)
  * Add CMAKE_CXX_COMPILER:FILEPATH=g++ to workaround g++ path not properly
    set.

 -- Fathi Boudra <fabo@debian.org>  Sat, 12 Jan 2008 22:57:56 +0100

strigi (0.5.7-1) unstable; urgency=low

  * New upstream release.
  * Update branch pull patch to r729946.
  * Add query.h, queryparser.h and variant.h to libstreamanalyzer-dev package.

 -- Fathi Boudra <fboudra@free.fr>  Fri, 26 Oct 2007 19:15:00 +0200

strigi (0.5.6-1) unstable; urgency=low

  * New upstream release.
  * Add branch pull patch to r727526.
  * Add build dependencies: bison, libcppunit-dev, libexiv2-dev, libxml2-utils.
  * Update libstreamanalyzer* packages:
    * Add clucene index plugin.
    * Add strigiea_jpeg plugin.
    * Replace fieldproperties/strigi_* by xesam.rdfs.
    * Add new include files.
  * Update include files in libstreams-dev package.
  * Remove watch file. Upstream website is not always updated with the release.
  * Remove libcluceneindex* packages.
  * Update Homepage.
  * Add strict version dependency on -dev packages. Thanks to Sune.

 -- Fathi Boudra <fboudra@free.fr>  Sat, 20 Oct 2007 14:57:40 +0200


=== debian/control ===
Source: strigi
Section: utils
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.8.0), pkg-kde-tools (>= 0.6.4), libbz2-dev,
 libclucene-dev (>= 0.9.21b), libdbus-1-dev, libexiv2-dev, libqt4-dev (>= 4.4.3), libxml2-dev,
 zlib1g-dev, libxml2-utils, python-support, python
Standards-Version: 3.8.4
Homepage: http://strigi.sourceforge.net
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/strigi/trunk
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/strigi/trunk

Package: strigi-daemon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, poppler-utils, dbus-x11 | dbus
Suggests: strigi-plugins
Description: fast indexing and searching tool for your personal data (daemon)
 Strigi is a program for fast indexing and searching your personal data. It can
 gather and index information from files in the filesystem even if they are
 hidden in emails or archives. It comes with a Qt4 GUI, an HTML GUI and a KDE
 GUI.
 .
 Main features:
  * very fast crawling
  * very small memory footprint
  * no hammering of the system
  * pluggable backend, currently clucene and hyperestraier, sqlite3 and xapian
    are in the works
  * communication between daemon and search program over an abstract interface,
    this is currently a simple socket but implementation of D-Bus is a
    possibility. There's a small perl program in the code as an example of how
    to query. This is so easy that any KDE app could implement this.
  * simple interface for implementing plugins for extracting information. we'll
    try to reuse the kat plugins, although native plugins will have a large
    speed advantage
  * calculation of sha1 for every file crawled (allows fast finding of
    duplicates)
 .
 This package contains the Strigi daemon

Package: strigi-client
Architecture: any
Section: x11
Depends: ${shlibs:Depends}, ${misc:Depends}, strigi-daemon
Description: Qt4 client for Strigi Desktop Search
 Strigi client is a Qt4 client (GUI) for the Strigi Desktop Search software.
 .
 This package is part of Strigi Desktop Search, it contains the Qt4 client.
 .
 See the 'strigi-daemon' package for more information.

Package: strigi-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: strigi-daemon (<< 0.3.11-1)
Description: command-line tools for Strigi Desktop Search
 This package is part of Strigi Desktop Search, it contains utilities powered
 by Strigi:
  * deepfind, an enhanced version of find. It lists files embedded in other
    files like .deb, .rpm, .tar.gz, email attachments, and other files.
  * deepgrep, an enhanced version of grep. It searches in binary files like
    OpenOffice files, mp3s, Microsoft office files, pdfs and also in files
    embedded in other files like .deb, .rpm, .tar.gz, email attachments, pdf
    and other files.
  * xmlindexer, a program that outputs the file parsing results as xml.
    It walks through a directory and outputs an XML file containing all
    the metadata and text it can extract from the files it encounters.
    This means that the Strigi's powers of data extraction are now available
    to all applications that can parse XML simply by calling xmlindexer and
    parsing the output.
 .
 See the 'strigi-daemon' package for more information.

Package: libstreams0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: strigi-daemon (<< 0.3.11-1)
Description: streams library for for Strigi Desktop Search
 This package is part of Strigi Desktop Search, it contains a library for
 writing clients using libstreams.
 .
 See the 'strigi-daemon' package for more information.

Package: libstreams-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libstreams0 (= ${binary:Version})
Description: development files for libstreams
 This package is part of Strigi Desktop Search, it contains the Strigi
 development files for libstreams.
 .
 See the 'strigi-daemon' package for more information.

Package: libstreamanalyzer0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcluceneindex0 (<< 0.5.6-1), libstreamindexer0 (<< 0.5.1-1)
Replaces: libcluceneindex0 (<< 0.5.6-1), libstreamindexer0 (<< 0.5.1-1),
 strigi-daemon (<< 0.3.11-1), kdegraphics-strigi-plugins (<< 4:4.0.0-2)
Description: streamanalyzer library for Strigi Desktop Search
 This package is part of Strigi Desktop Search, it contains a library for
 writing clients using libstreamanalyzer.
 .
 See the 'strigi-daemon' package for more information.

Package: libstreamanalyzer-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libstreamanalyzer0 (= ${binary:Version}), libstreams-dev (= ${binary:Version})
Conflicts: libcluceneindex-dev (<< 0.5.6-1), libstreamindexer-dev (<< 0.5.1-1)
Replaces: libcluceneindex-dev (<< 0.5.6-1), libstreamindexer-dev (<< 0.5.1-1)
Description: development files for libstreamanalyzer
 This package is part of Strigi Desktop Search, it contains the Strigi
 development files for libstreamanalyzer.
 .
 See the 'strigi-daemon' package for more information.

Package: libsearchclient0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: strigi-daemon (<< 0.3.11-1)
Description: searchclient library for Strigi Desktop Search
 This package is part of Strigi Desktop Search, it contains a library for
 writing clients.
 .
 See the 'strigi-daemon' package for more information.

Package: libsearchclient-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libsearchclient0 (= ${binary:Version}), libstreamanalyzer-dev (= ${binary:Version})
Description: development files for libsearchclient
 This package is part of Strigi Desktop Search, it contains the Strigi
 development files for libsearchclient.
 .
 See the 'strigi-daemon' package for more information.

Package: libstrigihtmlgui0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for writing html clients for Strigi Desktop Search
 This package is part of Strigi Desktop Search, it contains a library for
 writing html clients.
 .
 See the 'strigi-daemon' package for more information.

Package: libstrigihtmlgui-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libstrigihtmlgui0 (= ${binary:Version}), libsearchclient-dev (= ${binary:Version})
Description: development files for libstrigihtmlgui
 This package is part of Strigi Desktop Search, it contains the Strigi
 development files for libstrigihtmlgui.
 .
 See the 'strigi-daemon' package for more information.

Package: libstrigiqtdbusclient0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for writing D-Bus clients for Strigi Desktop Search
 This package is part of Strigi Desktop Search, it contains a library for
 writing Qt D-Bus clients for strigi.
 .
 See the 'strigi-daemon' package for more information.

Package: libstrigiqtdbusclient-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libstrigiqtdbusclient0 (= ${binary:Version}), libqt4-dev (>= 4.4.0~), libstreams-dev (= ${binary:Version})
Description: development files for libstrigiqtdbusclient
 This package is part of Strigi Desktop Search, it contains the Strigi
 development files for libstrigiqtdbusclient.
 .
 See the 'strigi-daemon' package for more information.

Package: deskbar-plugins-strigi
Architecture: any
Section: gnome
Depends: ${misc:Depends}, ${python:Depends}, strigi-daemon, deskbar-applet
Description: Deskbar plugin to search files with strigi
 This package is part of Strigi Desktop Search, it contains a plugin
 for the GNOME Deskbar applet to search for files using Strigi.
 .
 See the 'strigi-daemon' package for more information.

Package: strigi-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${misc:Depends}, libstreams0 (= ${binary:Version}), libstreamanalyzer0 (= ${binary:Version}), libstrigiqtdbusclient0 (= ${binary:Version})
Description: debugging symbols for strigi
 This package contains the debugging symbols associated with strigi.
 .
 They will automatically be used by gdb for debugging strigi related issues.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

FILENAME := $(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
UPFILENAME := $(DEB_SOURCE_PACKAGE)-$(shell echo $(DEB_UPSTREAM_VERSION) | sed 's/~/-/').tar.bz2
URL := http://www.vandenoever.info/software/strigi/$(UPFILENAME)
CURRENTVERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
LIBPKGS := $(shell dh_listpackages | grep libs | sed -e '/dev/d;')

%:
	dh $@ --parallel --list-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_CXX_FLAGS="$(CXXFLAGS)" \
		-DCMAKE_LD_FLAGS="-Wl,-z,defs" \
		-DCMAKE_SKIP_RPATH=ON \
		-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
		-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
		-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed"

override_dh_pysupport:
	dh_pysupport /usr/lib/deskbar-applet/handlers

override_dh_clean:
	dh_clean
	rm -f debian/shlibs.local
#	rm -f debian/libstreams0.symbols.$(DEB_HOST_ARCH)
#	rm -f debian/libstreamanalyzer0.symbols.$(DEB_HOST_ARCH)

override_dh_makeshlibs:
	dh_makeshlibs -V
	for pkg in $(LIBPKGS); do \
		sed 's/>=[^)]*/= $(CURRENTVERSION)/' debian/$$pkg/DEBIAN/shlibs >> debian/shlibs.local; \
	done

override_dh_strip:
	dh_strip --dbg-package=strigi-dbg
#	for pkg in libstreams0 libstreamanalyzer0; do \
		pkgkde-symbolshelper symbolfile -p $$pkg -o debian/$${pkg}.symbols.$(DEB_HOST_ARCH); \
		pkgkde-symbolshelper postgensymbols -p $$pkg -v; \
	done

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ] || mkdir -p ../tarballs
	@@echo Downloading $(UPFILENAME) from $(URL) ...
	@@wget -N -nv -T10 -t3 -O ../tarballs/$(UPFILENAME) $(URL)
	@@echo Converting $(UPFILENAME) to $(FILENAME)
	@@bzcat ../tarballs/$(UPFILENAME) | gzip -9 > ../tarballs/$(FILENAME)

.PHONY: override_dh_auto_test

## strigi 0.7.6

=== libstreamanalyzer/CMakeLists.txt ===
project (libstreamanalyzer)

##### cmake settings #####

cmake_minimum_required(VERSION 2.6)

cmake_policy(VERSION 2.6.0)
if(POLICY CMP0017)
  cmake_policy(SET CMP0017 NEW)
endif()

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
include(MacroCheckGccVisibility)
include(MacroFindOptionalDep)
enable_testing()

##### global variables #####

# due to a bug in libxml2, we only get thread support if _REENTRANT is defined
add_definitions(-D_REENTRANT)

set(LIBSTREAMANALYZER_VERSION_MAJOR 0)
set(LIBSTREAMANALYZER_VERSION_MINOR 7)
set(LIBSTREAMANALYZER_VERSION_PATCH 6)
set(LIBSTREAMANALYZER_VERSION ${LIBSTREAMANALYZER_VERSION_MAJOR}.${LIBSTREAMANALYZER_VERSION_MINOR}.${LIBSTREAMANALYZER_VERSION_PATCH})
set(LIBSTREAMANALYZER_SOVERSION ${LIBSTREAMANALYZER_VERSION_MAJOR})

option(BUILD_UTILS "build luceneindexer, xmlindexer, rdfindexer, ontoprint utilities" ON)
option(BUILD_DEEPTOOLS "build deep find and deepgrep tools" ON)
option(ENABLE_XINE
       "enable Xine support. This adds support for a larger number of media formats(highly unstable)." OFF)
option(ENABLE_FFMPEG
       "enable FFMPEG support. This adds support for a larger number of media formats(testing)." ON)
option(ENABLE_EXIV2
       "enable exiv2 support. This allows you to index EXIF/IPTC metadata." ON)
set(CLUCENE_MIN_VERSION "0.9.21")
option(ENABLE_CLUCENE "enable CLucene support (recommended)" ON)
option(ENABLE_CLUCENE_NG "enable clucene-ng (version 1+) support (testing)" ON)

# definition of LIB_DESTINATION which is the path where the lib is installed
set (LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set (LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Library directory name" FORCE)

# Set up RPATH handling, so the libs are found if they are installed to a non-standard location.
# By default cmake builds the targets with full RPATH to everything in the build directory,
# but then removes the RPATH when installing.
# These two options below make it set the RPATH of the installed targets to all
# RPATH directories outside the current CMAKE_BINARY_DIR and also the library
# install directory. Alex
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH  TRUE)
set(CMAKE_INSTALL_RPATH                ${LIB_DESTINATION} )

if(NOT WIN32 AND NOT CMAKE_SYSTEM MATCHES "SunOS-5*.")
	add_definitions(-fPIC)
endif(NOT WIN32 AND NOT CMAKE_SYSTEM MATCHES "SunOS-5*.")

##### environment inspection #####

# check for visibility support
macro_check_gcc_visibility(__STRIGI_HAVE_GCC_VISIBILITY)

# check for required packages
if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
  find_package(LibStreams REQUIRED)
else()
  set(LIBSTREAMS_INCLUDE_DIRS
    ${libstreams_SOURCE_DIR}/include
    ${libstreams_BINARY_DIR}/include
    )
  set(LIBSTREAMS_LIBRARIES streams)
endif()


find_package(Threads REQUIRED)
if (NOT CMAKE_USE_PTHREADS_INIT AND NOT CMAKE_USE_WIN32_THREADS_INIT)
  message(FATAL_ERROR "Strigi needs either pthreads or win32 threads, none was found.")
endif (NOT CMAKE_USE_PTHREADS_INIT AND NOT CMAKE_USE_WIN32_THREADS_INIT)

find_package(LibXml2 REQUIRED)
find_package(Iconv REQUIRED)
find_package(Boost REQUIRED)

find_optional_dep(CLucene ENABLE_CLUCENE CLucene_FOUND "CLucene backend")
find_optional_dep(CLucene1 ENABLE_CLUCENE_NG CLUCENE1_FOUND "CLucene Version 1+ backend")
find_optional_dep(Exiv2 ENABLE_EXIV2 EXIV2_FOUND "indexing of EXIF/IPTC metadata")
find_optional_dep(FFmpeg ENABLE_FFMPEG FFMPEG_FOUND "indexing FFMPEG" COMPONENTS AVCODEC AVFORMAT AVUTIL SWSCALE)
find_package(XAttr)
include(ConfigureChecks.cmake)
configure_file(LibStreamAnalyzer.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/LibStreamAnalyzerConfig.cmake @ONLY )

##### building and testing #####

configure_file(${libstreamanalyzer_SOURCE_DIR}/strigi_thread.h.cmake
	${libstreamanalyzer_BINARY_DIR}/include/strigi/strigi_thread.h)

# every directory needs the headers that will be installed
include_directories(${LIBSTREAMS_INCLUDE_DIRS}
	${libstreamanalyzer_SOURCE_DIR}/include
	${libstreamanalyzer_SOURCE_DIR}/include/strigi
	${libstreamanalyzer_BINARY_DIR}/include
	${libstreamanalyzer_BINARY_DIR}/include/strigi
        ${libstreamanalyzer_SOURCE_DIR}/lib
	${libstreamanalyzer_BINARY_DIR}/lib
	${ICONV_INCLUDE_DIR}
	${LIBSTREAMS_LIBRARY_DIRS}
  	${EXIV2_INCLUDEDIR}
	${XINE_INCLUDE_DIR}
	${FFMPEG_INCLUDE_DIRS}
	${MAGIC_INCLUDE_DIR}
	${LIBXML2_INCLUDE_DIR}
        ${Boost_INCLUDE_DIR}
)
if(XATTR_FOUND)
	include_directories(${XATTR_INCLUDE_DIR})
endif(XATTR_FOUND)

add_subdirectory(lib)
add_subdirectory(plugins)
#add_subdirectory(tests)


##### installing #####

# all installed files are listed here
# headers
file(GLOB STRIGI_HEADERS include/strigi/*.h)
install(FILES
	${STRIGI_HEADERS}
	${libstreamanalyzer_BINARY_DIR}/include/strigi/strigi_thread.h
	DESTINATION include/strigi
)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/LibStreamAnalyzerConfig.cmake
	DESTINATION ${LIB_DESTINATION}/libstreamanalyzer)
# ontologies
file (GLOB STRIGI_ONTOLOGIES share/strigi/fieldproperties/*.rdfs)
install(FILES
	${STRIGI_ONTOLOGIES}
	DESTINATION share/strigi/fieldproperties/
)
# library
if(NOT WIN32)
	configure_file(${CMAKE_CURRENT_SOURCE_DIR}/lib/libstreamanalyzer.pc.cmake
		${CMAKE_CURRENT_BINARY_DIR}/lib/libstreamanalyzer.pc)

	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/lib/libstreamanalyzer.pc
		DESTINATION ${LIB_DESTINATION}/pkgconfig)
endif(NOT WIN32)

=== libstreams/CMakeLists.txt ===
project (libstreams)


##### cmake settings #####

cmake_minimum_required(VERSION 2.6)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
include(MacroCheckGccVisibility)
enable_testing()


##### global variables #####

# libstreams defines the definitions shared by the Strigi projects
set(STRIGI_VERSION_MAJOR 0 CACHE INT "Major Strigi version number" FORCE)
set(STRIGI_VERSION_MINOR 7 CACHE INT "Minor Strigi version number" FORCE)
set(STRIGI_VERSION_PATCH 6 CACHE INT "Release Strigi version number" FORCE)
set(STRIGI_VERSION_STRING "${STRIGI_VERSION_MAJOR}.${STRIGI_VERSION_MINOR}.${STRIGI_VERSION_PATCH}" CACHE STRING "Strigi version string" FORCE)
set(LIBSTREAMS_VERSION ${STRIGI_VERSION_STRING})

# definition of LIB_DESTINATION which is the path where the lib is installed
set (LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set (LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Library directory name" FORCE)

# for StrigiConfig.cmake
get_filename_component(_LIBRARY_ROOT "${LIB_DESTINATION}" PATH)
file(RELATIVE_PATH LIBRARY_DESTINATION ${_LIBRARY_ROOT} ${LIB_DESTINATION})
file(RELATIVE_PATH INCLUDE_DESTINATION ${_LIBRARY_ROOT} ${CMAKE_INSTALL_PREFIX}/include)

# Set up RPATH handling, so the libs are found if they are installed to a non-standard location.
# By default cmake builds the targets with full RPATH to everything in the build directory,
# but then removes the RPATH when installing.
# These two options below make it set the RPATH of the installed targets to all
# RPATH directories outside the current CMAKE_BINARY_DIR and also the library
# install directory. Alex
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH  TRUE)
set(CMAKE_INSTALL_RPATH                ${LIB_DESTINATION} )

if(NOT MSVC AND NOT MINGW AND NOT CMAKE_SYSTEM MATCHES "SunOS-5*.")
	add_definitions(-fPIC)
endif(NOT MSVC AND NOT MINGW AND NOT CMAKE_SYSTEM MATCHES "SunOS-5*.")

##### environment inspection #####

# check for visibility support
macro_check_gcc_visibility(__STRIGI_HAVE_GCC_VISIBILITY)

# check for required packages
find_package(ZLIB REQUIRED)
find_package(BZip2 REQUIRED)
find_package(Iconv REQUIRED)
find_package(Threads REQUIRED)

# generate the config file include/strigi/strigi-config.h and lib/config.h
include(ConfigureChecks.cmake)
configure_file(StrigiConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/StrigiConfig.cmake @ONLY )
configure_file(LibStreamsConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/LibStreamsConfig.cmake @ONLY )


##### building and testing #####

# every directory needs the headers that will be installed
include_directories(${libstreams_SOURCE_DIR}/include
	${libstreams_SOURCE_DIR}/lib
	${libstreams_BINARY_DIR}/include
	${libstreams_BINARY_DIR}/lib
        ${ZLIB_INCLUDE_DIR}
        ${BZIP2_INCLUDE_DIR}
        ${ICONV_INCLUDE_DIR}
)


add_subdirectory(lib)
add_subdirectory(tests)


##### installing #####

# all installed files are listed here
# headers
file(GLOB STRIGI_HEADERS include/strigi/*.h)
install(FILES
	${STRIGI_HEADERS}
	${strigi_config_output}
	${strigi_extra_config_output}
	DESTINATION include/strigi
)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/StrigiConfig.cmake
	DESTINATION ${LIB_DESTINATION}/strigi)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/LibStreamsConfig.cmake
	DESTINATION ${LIB_DESTINATION}/libstreams)
install(EXPORT StreamsExport FILE LibStreamsTargets.cmake
        DESTINATION ${LIB_DESTINATION}/libstreams)

# library
if(NOT WIN32)
	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/lib/libstreams.pc
		DESTINATION ${LIB_DESTINATION}/pkgconfig)
endif(NOT WIN32)

=== libstreams/lib/CMakeLists.txt ===
# This directory builds only the library libstreams
add_definitions(-DMAKE_STREAMS_LIB)

set(streams_SRCS
	archivereader.cpp
	archiveentrycache.cpp
	listinginprogress.cpp
	arinputstream.cpp
	base64inputstream.cpp
	bz2inputstream.cpp
	cpioinputstream.cpp
        dataeventinputstream.cpp
	dostime.cpp
	encodinginputstream.cpp
	fileinputstream.cpp
	filestreamopener.cpp
	gzipcompressstream.cpp
	gzipinputstream.cpp
	inputstreamreader.cpp
	kmpsearcher.cpp
        lzma/LzmaDec.c
        lzmainputstream.cpp
	mailinputstream.cpp
	oleinputstream.cpp
	rpminputstream.cpp
	sdfinputstream.cpp
#	signatureinputstream.cpp # not done yet
	skippingfileinputstream.cpp
	skippingfileinputstream2.cpp
	stringterminatedsubstream.cpp
	subinputstream.cpp
	substreamproviderprovider.cpp
	tarinputstream.cpp
	textutils.cpp
	zipinputstream.cpp
)

if(NOT WIN32)
set(streams_SRCS ${streams_SRCS}
	processinputstream.cpp
	mmapfileinputstream.cpp
)
endif(NOT WIN32)

#add the compatibility files
set(streams_SRCS ${streams_SRCS} compat.cpp)

add_library(streamsstatic STATIC ${streams_SRCS})
set_target_properties(streamsstatic PROPERTIES DEFINE_SYMBOL MAKE_STREAMS_LIB)
target_link_libraries(streamsstatic ${ZLIB_LIBRARIES} ${BZIP2_LIBRARIES} ${ICONV_LIBRARIES})

add_library(streams SHARED ${streams_SRCS})
set_target_properties(streams PROPERTIES
	VERSION ${STRIGI_VERSION_STRING}
	SOVERSION ${STRIGI_VERSION_MAJOR}
	DEFINE_SYMBOL MAKE_STREAMS_LIB
)
target_link_libraries(streams ${ZLIB_LIBRARIES} ${BZIP2_LIBRARIES} ${ICONV_LIBRARIES})
install(TARGETS streams EXPORT StreamsExport
	LIBRARY DESTINATION ${LIB_DESTINATION}
	RUNTIME DESTINATION bin
	ARCHIVE DESTINATION ${LIB_DESTINATION}
)


if(NOT WIN32)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libstreams.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/libstreams.pc)
endif(NOT WIN32)

=== debian/changelog ===
strigi (0.7.6-2) unstable; urgency=low

  * Add Revert_patch_that_breaks_parsing_of_PDF_files.patch from upstream.
    (Closes: #642318)
  * Improve strigi-daemon descritpion. (Closes: #571297)

 -- Fathi Boudra <fabo@debian.org>  Fri, 23 Sep 2011 10:42:37 +0300

strigi (0.7.6-1) unstable; urgency=low

  * New upstream release.
  * Drop debian/patches/01_remove_FindQt4.cmake_local_copy.diff - merged
    upstream.
  * Update debian/compat: bump to 8.
  * Update debian/control:
    - bump debehlper to 8.1.3~.
    - add dbus-x11, libavcodec-dev, libavformat-dev, libpostproc-dev and
      libswscale-dev build dependencies.
    - drop pkg-kde-tools build dependency - not used.
    - drop python and python-support build dependencies.
    - bump Standard-Version to 3.9.2, use Breaks instead of Conflicts.
    - drop deskbar-plugins-strigi package.
  * Drop debian/libstreams0.docs file - not used anymore.
  * Update debian/*-dev.install files.
  * Update debian/rules:
    - drop useless override_dh_{pysupport, strip}.
    - remove unused commented lines.
  * Update symbols files.

 -- Fathi Boudra <fabo@debian.org>  Tue, 20 Sep 2011 08:50:25 +0300

=== debian/control ===
Source: strigi
Section: utils
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.0),
               dbus-x11,
               debhelper (>= 8.1.3~),
               libavcodec-dev,
               libavformat-dev,
               libboost-dev,
               libbz2-dev,
               libclucene-dev (>= 0.9.21b),
               libdbus-1-dev,
               libexiv2-dev,
               libpostproc-dev,
               libqt4-dev (>= 4.4.3),
               libswscale-dev,
               libxml2-dev,
               libxml2-utils,
               zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://strigi.sourceforge.net
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/strigi/trunk
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/strigi/trunk

Package: strigi-daemon
Architecture: any
Depends: dbus-x11 | dbus, poppler-utils, ${misc:Depends}, ${shlibs:Depends}
Suggests: strigi-plugins
Description: fast indexing and searching tool for your personal data (daemon)
 Strigi is a program for fast indexing and searching your personal data. It can
 gather and index information from files in the filesystem even if they are
 hidden in emails or archives. It comes with a Qt4 GUI, an HTML GUI and a KDE
 GUI.
 .
 Main features:
  * very fast crawling
  * very small memory footprint
  * no hammering of the system
  * clucene backend
  * DBus and socket interfaces are available for communication between daemon
    and search programs
  * simple interface for implementing plugins for extracting information. we'll
    try to reuse the kat plugins, although native plugins will have a large
    speed advantage
  * calculation of sha1 for every file crawled (allows fast finding of
    duplicates)
 .
 This package contains the Strigi daemon

Package: strigi-client
Architecture: any
Section: x11
Depends: strigi-daemon, ${misc:Depends}, ${shlibs:Depends}
Description: Qt4 client for Strigi Desktop Search
 Strigi client is a Qt4 client (GUI) for the Strigi Desktop Search software.
 .
 This package is part of Strigi Desktop Search, it contains the Qt4 client.
 .
 See the 'strigi-daemon' package for more information.

Package: strigi-utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: strigi-daemon (<< 0.3.11-1)
Description: command-line tools for Strigi Desktop Search
 This package is part of Strigi Desktop Search, it contains utilities powered
 by Strigi:
  * deepfind, an enhanced version of find. It lists files embedded in other
    files like .deb, .rpm, .tar.gz, email attachments, and other files.
  * deepgrep, an enhanced version of grep. It searches in binary files like
    OpenOffice files, mp3s, Microsoft office files, pdfs and also in files
    embedded in other files like .deb, .rpm, .tar.gz, email attachments, pdf
    and other files.
  * xmlindexer, a program that outputs the file parsing results as xml.
    It walks through a directory and outputs an XML file containing all
    the metadata and text it can extract from the files it encounters.
    This means that the Strigi's powers of data extraction are now available
    to all applications that can parse XML simply by calling xmlindexer and
    parsing the output.
 .
 See the 'strigi-daemon' package for more information.

Package: libstreams0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: strigi-daemon (<< 0.3.11-1)
Description: streams library for for Strigi Desktop Search
 This package is part of Strigi Desktop Search, it contains a library for
 writing clients using libstreams.
 .
 See the 'strigi-daemon' package for more information.

Package: libstreams-dev
Architecture: any
Section: libdevel
Depends: libstreams0 (= ${binary:Version}), ${misc:Depends}
Description: development files for libstreams
 This package is part of Strigi Desktop Search, it contains the Strigi
 development files for libstreams.
 .
 See the 'strigi-daemon' package for more information.

Package: libstreamanalyzer0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdegraphics-strigi-plugins (<< 4:4.0.0-2),
          libcluceneindex0 (<< 0.5.6-1),
          libstreamindexer0 (<< 0.5.1-1),
          strigi-daemon (<< 0.3.11-1)
Breaks: libcluceneindex0 (<< 0.5.6-1), libstreamindexer0 (<< 0.5.1-1)
Description: streamanalyzer library for Strigi Desktop Search
 This package is part of Strigi Desktop Search, it contains a library for
 writing clients using libstreamanalyzer.
 .
 See the 'strigi-daemon' package for more information.

Package: libstreamanalyzer-dev
Architecture: any
Section: libdevel
Depends: libstreamanalyzer0 (= ${binary:Version}),
         libstreams-dev (= ${binary:Version}),
         ${misc:Depends}
Replaces: libcluceneindex-dev (<< 0.5.6-1), libstreamindexer-dev (<< 0.5.1-1)
Breaks: libcluceneindex-dev (<< 0.5.6-1), libstreamindexer-dev (<< 0.5.1-1)
Description: development files for libstreamanalyzer
 This package is part of Strigi Desktop Search, it contains the Strigi
 development files for libstreamanalyzer.
 .
 See the 'strigi-daemon' package for more information.

Package: libsearchclient0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: strigi-daemon (<< 0.3.11-1)
Description: searchclient library for Strigi Desktop Search
 This package is part of Strigi Desktop Search, it contains a library for
 writing clients.
 .
 See the 'strigi-daemon' package for more information.

Package: libsearchclient-dev
Architecture: any
Section: libdevel
Depends: libsearchclient0 (= ${binary:Version}),
         libstreamanalyzer-dev (= ${binary:Version}),
         ${misc:Depends}
Description: development files for libsearchclient
 This package is part of Strigi Desktop Search, it contains the Strigi
 development files for libsearchclient.
 .
 See the 'strigi-daemon' package for more information.

Package: libstrigihtmlgui0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for writing html clients for Strigi Desktop Search
 This package is part of Strigi Desktop Search, it contains a library for
 writing html clients.
 .
 See the 'strigi-daemon' package for more information.

Package: libstrigihtmlgui-dev
Architecture: any
Section: libdevel
Depends: libsearchclient-dev (= ${binary:Version}),
         libstrigihtmlgui0 (= ${binary:Version}),
         ${misc:Depends}
Description: development files for libstrigihtmlgui
 This package is part of Strigi Desktop Search, it contains the Strigi
 development files for libstrigihtmlgui.
 .
 See the 'strigi-daemon' package for more information.

Package: libstrigiqtdbusclient0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for writing D-Bus clients for Strigi Desktop Search
 This package is part of Strigi Desktop Search, it contains a library for
 writing Qt D-Bus clients for strigi.
 .
 See the 'strigi-daemon' package for more information.

Package: libstrigiqtdbusclient-dev
Architecture: any
Section: libdevel
Depends: libqt4-dev (>= 4.4.0~),
         libstreams-dev (= ${binary:Version}),
         libstrigiqtdbusclient0 (= ${binary:Version}),
         ${misc:Depends}
Description: development files for libstrigiqtdbusclient
 This package is part of Strigi Desktop Search, it contains the Strigi
 development files for libstrigiqtdbusclient.
 .
 See the 'strigi-daemon' package for more information.

Package: strigi-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libstreamanalyzer0 (= ${binary:Version}),
         libstreams0 (= ${binary:Version}),
         libstrigiqtdbusclient0 (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for strigi
 This package contains the debugging symbols associated with strigi.
 .
 They will automatically be used by gdb for debugging strigi related issues.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

FILENAME := $(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
UPFILENAME := $(DEB_SOURCE_PACKAGE)-$(shell echo $(DEB_UPSTREAM_VERSION) | sed 's/~/-/').tar.bz2
URL := http://www.vandenoever.info/software/strigi/$(UPFILENAME)
CURRENTVERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
LIBPKGS := $(shell dh_listpackages | grep libs | sed -e '/dev/d;')

%:
	dh $@ --parallel --list-missing --dbg-package=strigi-dbg

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON

override_dh_makeshlibs:
	dh_makeshlibs -V
	for pkg in $(LIBPKGS); do \
		sed 's/>=[^)]*/= $(CURRENTVERSION)/' debian/$$pkg/DEBIAN/shlibs >> debian/shlibs.local; \
	done

override_dh_clean:
	dh_clean
	rm -f debian/shlibs.local

override_dh_auto_test:

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ] || mkdir -p ../tarballs
	@@echo Downloading $(UPFILENAME) from $(URL) ...
	@@wget -N -nv -T10 -t3 -O ../tarballs/$(UPFILENAME) $(URL)
	@@echo Converting $(UPFILENAME) to $(FILENAME)
	@@bzcat ../tarballs/$(UPFILENAME) | gzip -9 > ../tarballs/$(FILENAME)
